=== debian/changelog ===
lie (2.2.2+dfsg-3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:50:54 +1100

lie (2.2.2+dfsg-3build2) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:56:46 +0100

lie (2.2.2+dfsg-3build1) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 20:01:33 +0000

lie (2.2.2+dfsg-3) unstable; urgency=medium

  * Bump debhelper version to 11.
  * Bump standards version to 4.1.3.
  * debian/rules: renewed.
  * debian/clean: added.
  * debian/lie.1: removed manual.dvi reference. (Closes: #659502)
  * Update my name.
  * Thanks Adam Borowski for fixing parallel builds.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 11 Jan 2018 16:03:34 +0100

lie (2.2.2+dfsg-2) unstable; urgency=low

  [ Gürkan Sengün ]
  * Update my email address. (Closes: #675216)
  * Added debian/source/format, switch to format 3.0 (quilt)
  * Fix lintian-warning debian-rules-missing-recommended-target
  * Bump standards version to 3.9.3, switch to format 3.0 (quilt)
  * Bump debhelper version to 8.
  
  [ Axel Beckert ]
  * Add -j1 to prevent FTBFS on parallel builds
  * Fix lintian warning copyright-refers-to-symlink-license

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 31 May 2012 12:44:44 +0200

lie (2.2.2+dfsg-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Do not link against ncurses (Closes: #646147).

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 30 Oct 2011 21:44:13 +0100

lie (2.2.2+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switch from libreadline5-dev to libreadline-dev. (Closes: #553802) 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 10 Aug 2011 22:00:16 +0200

lie (2.2.2+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #402226)
  * Manual pages added.
  * Set default editor and pager to Debian conventions.
  * Modified "lie" startup script to allow for installation in
    arbitrary locations.
  * Added -lncurses to the link command; -lreadline is not enough.
  * Removed manual/manual.dvi.

 -- Kasper Peeters <kasper.peeters@aei.mpg.de>  Sun, 29 Apr 2006 19:07:13 +0100
