=== debian/control ===
Source: lie
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Uploaders: Kasper Peeters <kasper.peeters@aei.mpg.de>
Build-Depends: debhelper (>= 11), libreadline-dev, bison, dh-exec
Standards-Version: 4.1.3
Homepage: http://young.sp2mi.univ-poitiers.fr/~marc/LiE/

Package: lie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Computer algebra package for Lie group computations
 LiE is a computer algebra system that is specialised in computations
 involving (reductive) Lie groups and their representations.
